from setuptools import setup

# Read the README file
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="wordcount-cli",  # Make sure this matches your PyPI package name
    version="1.0.1",  # Increment the version number
    author="Your Name",
    author_email="your.email@example.com",
    description="A simple CLI tool to count words and characters.",
    long_description=long_description,  # Add README.md as the long description
    long_description_content_type="text/markdown",  # Ensure PyPI renders markdown
    py_modules=["wordcount"],  # This should match your Python file name
    install_requires=[],
    entry_points={
        "console_scripts": [
            "wordcount=wordcount:main",  # Defines the CLI command
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
